Bug 1173567 - (CVE-2019-20908) VUL-0: CVE-2019-20908: kernel-source: lockdown bypass for loading unsigned modules using efivar_ssdt
(CVE-2019-20908)
VUL-0: CVE-2019-20908: kernel-source: lockdown bypass for loading unsigned mo...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
All Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/262662/
CVSSv3.1:SUSE:CVE-2019-20908:7.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-01 11:53 UTC by Guillaume GARDET
Modified: 2022-03-04 22:13 UTC (History)
7 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume GARDET 2020-07-01 11:53:18 UTC
There is an exploit on ARM SecureBoot. The lockdown can be bypassed for loading unsigned modules.
See: https://www.openwall.com/lists/oss-security/2020/06/14/1

There is a WIP patch to harden the AML/memory interaction, preventing AML code to poke around in memory: http://lists.infradead.org/pipermail/linux-arm-kernel/2020-June/580418

This final patch will need to go to supported SLE/Leap.
Comment 1 Marcus Meissner 2020-07-01 12:40:30 UTC
(I thought we had this open yet, but I cannot find it... Currently no CVE.)
Comment 2 Marcus Meissner 2020-07-01 12:42:33 UTC
Date: Sun, 14 Jun 2020 00:30:54 -0600
From: "Jason A. Donenfeld" <Jason@...c4.com>
To: oss-security <oss-security@...ts.openwall.com>, 
	Ubuntu Kernel Team <kernel-team@...ts.ubuntu.com>
Subject: lockdown bypass on ubuntu 18.04's 4.15 kernel for loading unsigned modules

Hey folks,

I noticed that Ubuntu 18.04's 4.15 kernels forgot to protect
efivar_ssdt with lockdown, making that a vector for disabling lockdown
on an efi secure boot machine. I wrote a little PoC exploit to
demonstrate these types of ACPI shenanigans:

https://git.zx2c4.com/american-unsigned-language/tree/american-unsigned-language.sh

The comment on the top has description of exploit strategy and such. I
haven't yet looked into other kernels and distros that might be
affected, though afaict, Canonical's kernel seems to deviate a lot
from upstream.

Jason
Comment 3 Marcus Meissner 2020-07-01 12:42:50 UTC
might not be arm specific.
Comment 4 Marcus Meissner 2020-07-01 12:52:00 UTC
this commit might be related to the report, allowing it to disable it.

commit 435d1a471598752446a72ad1201b3c980526d869
Author: Peter Jones <pjones@redhat.com>
Date:   Mon Jun 15 16:24:08 2020 -0400

    efi: Make it possible to disable efivar_ssdt entirely
    
    In most cases, such as CONFIG_ACPI_CUSTOM_DSDT and
    CONFIG_ACPI_TABLE_UPGRADE, boot-time modifications to firmware tables
    are tied to specific Kconfig options.  Currently this is not the case
    for modifying the ACPI SSDT via the efivar_ssdt kernel command line
    option and associated EFI variable.
    
    This patch adds CONFIG_EFI_CUSTOM_SSDT_OVERLAYS, which defaults
    disabled, in order to allow enabling or disabling that feature during
    the build.
    
    Cc: <stable@vger.kernel.org>
    Signed-off-by: Peter Jones <pjones@redhat.com>
    Link: https://lore.kernel.org/r/20200615202408.2242614-1-pjones@redhat.com
    Signed-off-by: Ard Biesheuvel <ardb@kernel.org>
Comment 5 Takashi Iwai 2020-07-08 10:57:19 UTC
(In reply to Marcus Meissner from comment #4)
> this commit might be related to the report, allowing it to disable it.
> 
> commit 435d1a471598752446a72ad1201b3c980526d869
> Author: Peter Jones <pjones@redhat.com>
> Date:   Mon Jun 15 16:24:08 2020 -0400
> 
>     efi: Make it possible to disable efivar_ssdt entirely
>     
>     In most cases, such as CONFIG_ACPI_CUSTOM_DSDT and
>     CONFIG_ACPI_TABLE_UPGRADE, boot-time modifications to firmware tables
>     are tied to specific Kconfig options.  Currently this is not the case
>     for modifying the ACPI SSDT via the efivar_ssdt kernel command line
>     option and associated EFI variable.
>     
>     This patch adds CONFIG_EFI_CUSTOM_SSDT_OVERLAYS, which defaults
>     disabled, in order to allow enabling or disabling that feature during
>     the build.
>     
>     Cc: <stable@vger.kernel.org>
>     Signed-off-by: Peter Jones <pjones@redhat.com>
>     Link:
> https://lore.kernel.org/r/20200615202408.2242614-1-pjones@redhat.com
>     Signed-off-by: Ard Biesheuvel <ardb@kernel.org>

Well, this is a kconfig static change to disable the override.  For ACPI, we allow the table update, so would be EFI as well.

I guess it should be a simple lockdown check in the runtime code instead.
Comment 6 Joey Lee 2020-07-08 13:46:19 UTC
(In reply to Takashi Iwai from comment #5)
> (In reply to Marcus Meissner from comment #4)
> > this commit might be related to the report, allowing it to disable it.
> > 
> > commit 435d1a471598752446a72ad1201b3c980526d869
> > Author: Peter Jones <pjones@redhat.com>
> > Date:   Mon Jun 15 16:24:08 2020 -0400
> > 
> >     efi: Make it possible to disable efivar_ssdt entirely
> >     
> >     In most cases, such as CONFIG_ACPI_CUSTOM_DSDT and
> >     CONFIG_ACPI_TABLE_UPGRADE, boot-time modifications to firmware tables
> >     are tied to specific Kconfig options.  Currently this is not the case
> >     for modifying the ACPI SSDT via the efivar_ssdt kernel command line
> >     option and associated EFI variable.
> >     
> >     This patch adds CONFIG_EFI_CUSTOM_SSDT_OVERLAYS, which defaults
> >     disabled, in order to allow enabling or disabling that feature during
> >     the build.
> >     
> >     Cc: <stable@vger.kernel.org>
> >     Signed-off-by: Peter Jones <pjones@redhat.com>
> >     Link:
> > https://lore.kernel.org/r/20200615202408.2242614-1-pjones@redhat.com
> >     Signed-off-by: Ard Biesheuvel <ardb@kernel.org>
> 
> Well, this is a kconfig static change to disable the override.  For ACPI, we
> allow the table update, so would be EFI as well.
> 
> I guess it should be a simple lockdown check in the runtime code instead.

The 1957a85b0032a patch already be backported to SLE15-SP2 kernel. So the efivar_ssdt function should be locked-down on GMC image when secure boot be enabled.
Comment 9 Marcus Meissner 2020-07-14 05:52:14 UTC
cve requested for 1957a85b0032a
Comment 10 Joey Lee 2020-07-14 07:01:10 UTC
(In reply to Marcus Meissner from comment #9)
> cve requested for 1957a85b0032a

The backported patch for SLE12-SP4-LTSS, SLE15-LTSS and SLE15-SP1 is ready. I will wait the CVE number for sending to cve/linux-4.12, otherwise I must send patch to the above branches individually.
Comment 11 Joey Lee 2020-07-14 12:07:35 UTC
(In reply to Guillaume GARDET from comment #0)
> There is an exploit on ARM SecureBoot. The lockdown can be bypassed for
> loading unsigned modules.
> See: https://www.openwall.com/lists/oss-security/2020/06/14/1
> 
> There is a WIP patch to harden the AML/memory interaction, preventing AML
> code to poke around in memory:
> http://lists.infradead.org/pipermail/linux-arm-kernel/2020-June/580418
> 
> This final patch will need to go to supported SLE/Leap.

The kernel lockdown mode is only enabled on x86_64 for SLE. So this exploit doesn't affect SLE ARM64 currently. The kernel module signature be enabled on ARM64, but it's only a warning function because we do not enable the force verification of module's signature. A unsigned module can be loaded by kernel but it will also taint kernel. 

We will also enable the lockdown mode on aarch64 in future SLE version to protect module sign. Then we need to introduce shim/MOK to aarch64 to support third-party modules. Otherwise end user needs to enroll thrid-party's signkey to DB by himself.
Comment 12 Marcus Meissner 2020-07-16 05:28:17 UTC
Please add to respective commits in our kernel trees:
CVE-2019-20908
Comment 13 Joey Lee 2020-07-20 08:34:25 UTC
(In reply to Marcus Meissner from comment #12)
> Please add to respective commits in our kernel trees:
> CVE-2019-20908

Thanks! I pushed backport patch to cve/linux-4.12, waiting the patch be merged.
Comment 14 Joey Lee 2020-07-21 14:48:45 UTC
(In reply to Joey Lee from comment #13)
> (In reply to Marcus Meissner from comment #12)
> > Please add to respective commits in our kernel trees:
> > CVE-2019-20908
> 
> Thanks! I pushed backport patch to cve/linux-4.12, waiting the patch be
> merged.

Backported 1957a85b0 patch be merged to cve/linux-4.12. Reset bug assigner.
Comment 21 OBSbugzilla Bot 2020-07-30 12:46:31 UTC
This is an autogenerated message for OBS integration:
This bug (1173567) was mentioned in
https://build.opensuse.org/request/show/823567 15.1 / kernel-source
Comment 22 Swamp Workflow Management 2020-08-03 13:21:40 UTC
SUSE-SU-2020:2103-1: An update that solves 15 vulnerabilities and has 81 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1071995,1085030,1111666,1112178,1113956,1114279,1144333,1148868,1150660,1151927,1152624,1158983,1159058,1161016,1162002,1162063,1163309,1166985,1167104,1168081,1168959,1169194,1169514,1169771,1169795,1170011,1170442,1170592,1170617,1170618,1171124,1171424,1171529,1171530,1171558,1171732,1171739,1171743,1171753,1171759,1171835,1171841,1171868,1171904,1172247,1172257,1172344,1172458,1172484,1172537,1172538,1172687,1172719,1172759,1172775,1172781,1172782,1172783,1172871,1172872,1172999,1173060,1173074,1173146,1173265,1173280,1173284,1173428,1173514,1173567,1173573,1173746,1173818,1173820,1173825,1173826,1173833,1173838,1173839,1173845,1173857,1174113,1174115,1174122,1174123,1174186,1174187,1174296,1174343,1174356,1174409,1174438,1174462,1174543
CVE References: CVE-2019-20810,CVE-2019-20908,CVE-2020-0305,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10769,CVE-2020-10773,CVE-2020-10781,CVE-2020-12771,CVE-2020-12888,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP1 (src):    kernel-azure-4.12.14-8.38.1, kernel-source-azure-4.12.14-8.38.1, kernel-syms-azure-4.12.14-8.38.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 23 Swamp Workflow Management 2020-08-03 19:15:19 UTC
SUSE-SU-2020:2106-1: An update that solves 14 vulnerabilities and has 15 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1071995,1104967,1152107,1158755,1162002,1170011,1171078,1171673,1171732,1171868,1172257,1172775,1172781,1172782,1172783,1172999,1173265,1173280,1173514,1173567,1173573,1173659,1173999,1174000,1174115,1174462,1174543
CVE References: CVE-2019-16746,CVE-2019-20908,CVE-2020-0305,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10769,CVE-2020-10773,CVE-2020-12771,CVE-2020-12888,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150.55.1, kernel-livepatch-SLE15_Update_19-1-1.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 24 Swamp Workflow Management 2020-08-03 19:27:53 UTC
SUSE-SU-2020:2107-1: An update that solves 16 vulnerabilities and has 82 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1071995,1085030,1111666,1112178,1113956,1114279,1144333,1148868,1150660,1151927,1152107,1152624,1158983,1159058,1161016,1162002,1162063,1163309,1166985,1167104,1168081,1168959,1169194,1169514,1169771,1169795,1170011,1170442,1170592,1170617,1170618,1171124,1171424,1171529,1171530,1171558,1171732,1171739,1171743,1171753,1171759,1171835,1171841,1171868,1171904,1172247,1172257,1172344,1172458,1172484,1172537,1172538,1172687,1172719,1172759,1172775,1172781,1172782,1172783,1172871,1172872,1172999,1173060,1173074,1173146,1173265,1173280,1173284,1173428,1173514,1173567,1173573,1173659,1173746,1173818,1173820,1173825,1173826,1173833,1173838,1173839,1173845,1173857,1174113,1174115,1174122,1174123,1174186,1174187,1174296,1174343,1174356,1174409,1174438,1174462,1174543
CVE References: CVE-2019-16746,CVE-2019-20810,CVE-2019-20908,CVE-2020-0305,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10769,CVE-2020-10773,CVE-2020-10781,CVE-2020-12771,CVE-2020-12888,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.48.1
SUSE Linux Enterprise Module for Legacy Software 15-SP1 (src):    kernel-default-4.12.14-197.48.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    kernel-docs-4.12.14-197.48.1, kernel-obs-build-4.12.14-197.48.1, kernel-source-4.12.14-197.48.1, kernel-syms-4.12.14-197.48.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    kernel-default-4.12.14-197.48.1, kernel-source-4.12.14-197.48.1, kernel-zfcpdump-4.12.14-197.48.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.48.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 25 Swamp Workflow Management 2020-08-03 20:00:13 UTC
SUSE-SU-2020:2106-1: An update that solves 14 vulnerabilities and has 15 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1071995,1104967,1152107,1158755,1162002,1170011,1171078,1171673,1171732,1171868,1172257,1172775,1172781,1172782,1172783,1172999,1173265,1173280,1173514,1173567,1173573,1173659,1173999,1174000,1174115,1174462,1174543
CVE References: CVE-2019-16746,CVE-2019-20908,CVE-2020-0305,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10769,CVE-2020-10773,CVE-2020-12771,CVE-2020-12888,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    kernel-default-4.12.14-150.55.1, kernel-docs-4.12.14-150.55.1, kernel-obs-build-4.12.14-150.55.1, kernel-source-4.12.14-150.55.1, kernel-syms-4.12.14-150.55.1, kernel-vanilla-4.12.14-150.55.1
SUSE Linux Enterprise Server 15-LTSS (src):    kernel-default-4.12.14-150.55.1, kernel-docs-4.12.14-150.55.1, kernel-obs-build-4.12.14-150.55.1, kernel-source-4.12.14-150.55.1, kernel-syms-4.12.14-150.55.1, kernel-vanilla-4.12.14-150.55.1, kernel-zfcpdump-4.12.14-150.55.1
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150.55.1, kernel-livepatch-SLE15_Update_19-1-1.3.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    kernel-default-4.12.14-150.55.1, kernel-docs-4.12.14-150.55.1, kernel-obs-build-4.12.14-150.55.1, kernel-source-4.12.14-150.55.1, kernel-syms-4.12.14-150.55.1, kernel-vanilla-4.12.14-150.55.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    kernel-default-4.12.14-150.55.1, kernel-docs-4.12.14-150.55.1, kernel-obs-build-4.12.14-150.55.1, kernel-source-4.12.14-150.55.1, kernel-syms-4.12.14-150.55.1, kernel-vanilla-4.12.14-150.55.1
SUSE Linux Enterprise High Availability 15 (src):    kernel-default-4.12.14-150.55.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 26 Swamp Workflow Management 2020-08-03 20:36:06 UTC
SUSE-SU-2020:2107-1: An update that solves 16 vulnerabilities and has 82 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1071995,1085030,1111666,1112178,1113956,1114279,1144333,1148868,1150660,1151927,1152107,1152624,1158983,1159058,1161016,1162002,1162063,1163309,1166985,1167104,1168081,1168959,1169194,1169514,1169771,1169795,1170011,1170442,1170592,1170617,1170618,1171124,1171424,1171529,1171530,1171558,1171732,1171739,1171743,1171753,1171759,1171835,1171841,1171868,1171904,1172247,1172257,1172344,1172458,1172484,1172537,1172538,1172687,1172719,1172759,1172775,1172781,1172782,1172783,1172871,1172872,1172999,1173060,1173074,1173146,1173265,1173280,1173284,1173428,1173514,1173567,1173573,1173659,1173746,1173818,1173820,1173825,1173826,1173833,1173838,1173839,1173845,1173857,1174113,1174115,1174122,1174123,1174186,1174187,1174296,1174343,1174356,1174409,1174438,1174462,1174543
CVE References: CVE-2019-16746,CVE-2019-20810,CVE-2019-20908,CVE-2020-0305,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10769,CVE-2020-10773,CVE-2020-10781,CVE-2020-12771,CVE-2020-12888,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.48.1
SUSE Linux Enterprise Module for Live Patching 15-SP1 (src):    kernel-default-4.12.14-197.48.1, kernel-livepatch-SLE15-SP1_Update_13-1-3.3.1
SUSE Linux Enterprise Module for Legacy Software 15-SP1 (src):    kernel-default-4.12.14-197.48.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    kernel-docs-4.12.14-197.48.1, kernel-obs-build-4.12.14-197.48.1, kernel-source-4.12.14-197.48.1, kernel-syms-4.12.14-197.48.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    kernel-default-4.12.14-197.48.1, kernel-source-4.12.14-197.48.1, kernel-zfcpdump-4.12.14-197.48.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.48.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 27 Swamp Workflow Management 2020-08-04 19:21:26 UTC
SUSE-SU-2020:2119-1: An update that solves 13 vulnerabilities and has 75 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1104967,1111666,1112178,1113956,1114279,1150660,1151927,1152107,1152624,1158983,1159058,1162002,1163309,1167104,1168959,1169514,1169771,1169795,1170011,1170442,1170617,1170618,1171124,1171424,1171529,1171530,1171558,1171673,1171732,1171739,1171743,1171753,1171759,1171761,1171835,1171841,1171868,1171988,1172247,1172257,1172344,1172484,1172687,1172719,1172871,1172872,1172999,1173060,1173074,1173146,1173265,1173280,1173284,1173428,1173462,1173514,1173567,1173573,1173659,1173746,1173818,1173820,1173825,1173826,1173833,1173838,1173839,1173845,1173857,1174113,1174115,1174122,1174123,1174130,1174186,1174187,1174205,1174247,1174296,1174343,1174356,1174409,1174438,1174462,1174543,1174549
CVE References: CVE-2019-16746,CVE-2019-20908,CVE-2020-0305,CVE-2020-10135,CVE-2020-10769,CVE-2020-10773,CVE-2020-10781,CVE-2020-12771,CVE-2020-12888,CVE-2020-14331,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-azure-4.12.14-16.22.1, kernel-source-azure-4.12.14-16.22.1, kernel-syms-azure-4.12.14-16.22.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 28 Swamp Workflow Management 2020-08-04 19:31:24 UTC
SUSE-SU-2020:2121-1: An update that solves 15 vulnerabilities and has 37 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1071995,1085030,1104967,1114279,1144333,1148868,1150660,1152107,1152472,1152624,1158983,1159058,1161016,1162002,1162063,1168081,1169194,1169514,1169795,1170011,1170592,1170618,1171124,1171424,1171558,1171673,1171732,1171761,1171868,1171904,1172257,1172344,1172458,1172484,1172759,1172775,1172781,1172782,1172783,1172999,1173265,1173280,1173428,1173462,1173514,1173567,1173573,1174115,1174462,1174543
CVE References: CVE-2019-16746,CVE-2019-20810,CVE-2019-20908,CVE-2020-0305,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10769,CVE-2020-10773,CVE-2020-12771,CVE-2020-12888,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    kernel-default-4.12.14-95.57.1, kernel-source-4.12.14-95.57.1, kernel-syms-4.12.14-95.57.1
SUSE OpenStack Cloud 9 (src):    kernel-default-4.12.14-95.57.1, kernel-source-4.12.14-95.57.1, kernel-syms-4.12.14-95.57.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    kernel-default-4.12.14-95.57.1, kernel-source-4.12.14-95.57.1, kernel-syms-4.12.14-95.57.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    kernel-default-4.12.14-95.57.1, kernel-source-4.12.14-95.57.1, kernel-syms-4.12.14-95.57.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    kernel-default-4.12.14-95.57.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 29 Swamp Workflow Management 2020-08-04 19:38:13 UTC
SUSE-SU-2020:2121-1: An update that solves 15 vulnerabilities and has 37 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1071995,1085030,1104967,1114279,1144333,1148868,1150660,1152107,1152472,1152624,1158983,1159058,1161016,1162002,1162063,1168081,1169194,1169514,1169795,1170011,1170592,1170618,1171124,1171424,1171558,1171673,1171732,1171761,1171868,1171904,1172257,1172344,1172458,1172484,1172759,1172775,1172781,1172782,1172783,1172999,1173265,1173280,1173428,1173462,1173514,1173567,1173573,1174115,1174462,1174543
CVE References: CVE-2019-16746,CVE-2019-20810,CVE-2019-20908,CVE-2020-0305,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10769,CVE-2020-10773,CVE-2020-12771,CVE-2020-12888,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    kernel-default-4.12.14-95.57.1, kernel-source-4.12.14-95.57.1, kernel-syms-4.12.14-95.57.1
SUSE OpenStack Cloud 9 (src):    kernel-default-4.12.14-95.57.1, kernel-source-4.12.14-95.57.1, kernel-syms-4.12.14-95.57.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    kernel-default-4.12.14-95.57.1, kernel-source-4.12.14-95.57.1, kernel-syms-4.12.14-95.57.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    kernel-default-4.12.14-95.57.1, kernel-source-4.12.14-95.57.1, kernel-syms-4.12.14-95.57.1
SUSE Linux Enterprise Live Patching 12-SP4 (src):    kernel-default-4.12.14-95.57.1, kgraft-patch-SLE12-SP4_Update_15-1-6.3.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    kernel-default-4.12.14-95.57.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 30 Swamp Workflow Management 2020-08-04 22:20:24 UTC
SUSE-SU-2020:2122-1: An update that solves 13 vulnerabilities and has 70 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1104967,1111666,1112178,1113956,1114279,1150660,1151927,1152107,1152624,1158983,1159058,1162002,1163309,1167104,1168959,1169514,1169771,1169795,1170011,1170442,1170617,1170618,1171124,1171424,1171529,1171530,1171558,1171673,1171732,1171739,1171743,1171753,1171759,1171761,1171835,1171841,1171868,1171988,1172247,1172257,1172344,1172484,1172687,1172719,1172871,1172872,1172999,1173060,1173074,1173146,1173265,1173280,1173284,1173428,1173462,1173514,1173567,1173573,1173746,1173818,1173820,1173825,1173826,1173833,1173838,1173839,1173845,1173857,1174113,1174115,1174122,1174123,1174130,1174205,1174296,1174343,1174356,1174409,1174438,1174462,1174543
CVE References: CVE-2019-16746,CVE-2019-20908,CVE-2020-0305,CVE-2020-10135,CVE-2020-10769,CVE-2020-10773,CVE-2020-10781,CVE-2020-12771,CVE-2020-12888,CVE-2020-14331,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Live Patching 12-SP5 (src):    kernel-default-4.12.14-122.29.1, kgraft-patch-SLE12-SP5_Update_7-1-8.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 31 Swamp Workflow Management 2020-08-04 22:30:43 UTC
SUSE-SU-2020:2122-1: An update that solves 13 vulnerabilities and has 70 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1104967,1111666,1112178,1113956,1114279,1150660,1151927,1152107,1152624,1158983,1159058,1162002,1163309,1167104,1168959,1169514,1169771,1169795,1170011,1170442,1170617,1170618,1171124,1171424,1171529,1171530,1171558,1171673,1171732,1171739,1171743,1171753,1171759,1171761,1171835,1171841,1171868,1171988,1172247,1172257,1172344,1172484,1172687,1172719,1172871,1172872,1172999,1173060,1173074,1173146,1173265,1173280,1173284,1173428,1173462,1173514,1173567,1173573,1173746,1173818,1173820,1173825,1173826,1173833,1173838,1173839,1173845,1173857,1174113,1174115,1174122,1174123,1174130,1174205,1174296,1174343,1174356,1174409,1174438,1174462,1174543
CVE References: CVE-2019-16746,CVE-2019-20908,CVE-2020-0305,CVE-2020-10135,CVE-2020-10769,CVE-2020-10773,CVE-2020-10781,CVE-2020-12771,CVE-2020-12888,CVE-2020-14331,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    kernel-default-4.12.14-122.29.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    kernel-docs-4.12.14-122.29.1, kernel-obs-build-4.12.14-122.29.1
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-default-4.12.14-122.29.1, kernel-source-4.12.14-122.29.1, kernel-syms-4.12.14-122.29.1
SUSE Linux Enterprise Live Patching 12-SP5 (src):    kernel-default-4.12.14-122.29.1, kgraft-patch-SLE12-SP5_Update_7-1-8.3.1
SUSE Linux Enterprise High Availability 12-SP5 (src):    kernel-default-4.12.14-122.29.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 32 OBSbugzilla Bot 2020-08-05 12:46:36 UTC
This is an autogenerated message for OBS integration:
This bug (1173567) was mentioned in
https://build.opensuse.org/request/show/824481 15.1 / kernel-source
Comment 33 Swamp Workflow Management 2020-08-06 16:23:32 UTC
openSUSE-SU-2020:1153-1: An update that solves 19 vulnerabilities and has 92 fixes is now available.

Category: security (important)
Bug References: 1051510,1065729,1071995,1085030,1111666,1112178,1113956,1114279,1120163,1144333,1148868,1150660,1151927,1152107,1152624,1158983,1159058,1161016,1162002,1162063,1163309,1166985,1167104,1168081,1168959,1169194,1169514,1169771,1169795,1170011,1170442,1170592,1170617,1170618,1171124,1171424,1171529,1171530,1171558,1171732,1171739,1171743,1171753,1171759,1171835,1171841,1171868,1171904,1171988,1172247,1172257,1172344,1172458,1172484,1172537,1172538,1172687,1172719,1172759,1172775,1172781,1172782,1172783,1172871,1172872,1172963,1172999,1173060,1173074,1173146,1173265,1173280,1173284,1173428,1173514,1173567,1173573,1173659,1173746,1173818,1173820,1173825,1173826,1173833,1173838,1173839,1173845,1173857,1174070,1174113,1174115,1174122,1174123,1174205,1174296,1174343,1174356,1174409,1174438,1174462,1174543,1174549,1174658,1174685,1174757,1174840,1174841,1174843,1174844,1174845,1174887
CVE References: CVE-2019-16746,CVE-2019-20810,CVE-2019-20908,CVE-2020-0305,CVE-2020-10135,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10769,CVE-2020-10773,CVE-2020-10781,CVE-2020-12771,CVE-2020-12888,CVE-2020-13974,CVE-2020-14331,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780,CVE-2020-16166
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    kernel-debug-4.12.14-lp151.28.59.1, kernel-default-4.12.14-lp151.28.59.1, kernel-docs-4.12.14-lp151.28.59.1, kernel-kvmsmall-4.12.14-lp151.28.59.1, kernel-obs-build-4.12.14-lp151.28.59.1, kernel-obs-qa-4.12.14-lp151.28.59.1, kernel-source-4.12.14-lp151.28.59.1, kernel-syms-4.12.14-lp151.28.59.1, kernel-vanilla-4.12.14-lp151.28.59.1
Comment 34 Swamp Workflow Management 2020-09-03 13:46:45 UTC
SUSE-SU-2020:2478-1: An update that solves 39 vulnerabilities and has 234 fixes is now available.

Category: security (important)
Bug References: 1051510,1058115,1065600,1065729,1071995,1082555,1083647,1085030,1089895,1103990,1103991,1103992,1104745,1104967,1109837,1111666,1112178,1112374,1113956,1114279,1124278,1127354,1127355,1127371,1133021,1137325,1141558,1142685,1144333,1145929,1148868,1150660,1151794,1151927,1152107,1152489,1152624,1154824,1157169,1158265,1158983,1159037,1159058,1159199,1160388,1160947,1161016,1162002,1162063,1163309,1163403,1163897,1164284,1164780,1164871,1165183,1165478,1165741,1166780,1166860,1166861,1166862,1166864,1166866,1166867,1166868,1166870,1166940,1166969,1166978,1166985,1167104,1167288,1167574,1167851,1167867,1168081,1168202,1168332,1168486,1168503,1168670,1168760,1168762,1168763,1168764,1168765,1168789,1168881,1168884,1168952,1168959,1169005,1169013,1169020,1169057,1169194,1169390,1169514,1169525,1169625,1169762,1169771,1169795,1170011,1170056,1170125,1170145,1170284,1170345,1170442,1170457,1170522,1170592,1170617,1170618,1170620,1170621,1170770,1170778,1170791,1170901,1171078,1171098,1171118,1171124,1171189,1171191,1171195,1171202,1171205,1171214,1171217,1171218,1171219,1171220,1171244,1171293,1171417,1171424,1171527,1171529,1171530,1171558,1171599,1171600,1171601,1171602,1171604,1171605,1171606,1171607,1171608,1171609,1171610,1171611,1171612,1171613,1171614,1171615,1171616,1171617,1171618,1171619,1171620,1171621,1171622,1171623,1171624,1171625,1171626,1171662,1171673,1171679,1171691,1171692,1171694,1171695,1171732,1171736,1171739,1171743,1171753,1171759,1171761,1171817,1171835,1171841,1171868,1171904,1171948,1171949,1171951,1171952,1171979,1171982,1171983,1172017,1172096,1172097,1172098,1172099,1172101,1172102,1172103,1172104,1172127,1172130,1172185,1172188,1172199,1172201,1172202,1172218,1172221,1172247,1172249,1172251,1172253,1172257,1172317,1172342,1172343,1172344,1172366,1172378,1172391,1172397,1172453,1172458,1172472,1172484,1172537,1172538,1172687,1172719,1172759,1172770,1172775,1172781,1172782,1172783,1172999,1173060,1173074,1173146,1173265,1173280,1173284,1173428,1173462,1173514,1173567,1173573,1173659,1173746,1173818,1173820,1173825,1173826,1173833,1173838,1173839,1173845,1173857,1174113,1174115,1174122,1174123,1174130,1174186,1174187,1174296
CVE References: CVE-2018-1000199,CVE-2019-16746,CVE-2019-19462,CVE-2019-20806,CVE-2019-20810,CVE-2019-20812,CVE-2019-20908,CVE-2019-9455,CVE-2020-0543,CVE-2020-10690,CVE-2020-10711,CVE-2020-10720,CVE-2020-10732,CVE-2020-10751,CVE-2020-10757,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10769,CVE-2020-10773,CVE-2020-10781,CVE-2020-11669,CVE-2020-12114,CVE-2020-12464,CVE-2020-12652,CVE-2020-12653,CVE-2020-12654,CVE-2020-12655,CVE-2020-12656,CVE-2020-12657,CVE-2020-12659,CVE-2020-12769,CVE-2020-12771,CVE-2020-12888,CVE-2020-13143,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP5 (src):    kernel-rt-4.12.14-10.13.1, kernel-rt_debug-4.12.14-10.13.1, kernel-source-rt-4.12.14-10.13.1, kernel-syms-rt-4.12.14-10.13.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 35 Swamp Workflow Management 2020-09-04 10:38:55 UTC
SUSE-SU-2020:2487-1: An update that solves 40 vulnerabilities and has 227 fixes is now available.

Category: security (important)
Bug References: 1051510,1058115,1065600,1065729,1071995,1082555,1083647,1085030,1089895,1090036,1103990,1103991,1103992,1104745,1109837,1111666,1112178,1112374,1113956,1114279,1124278,1127354,1127355,1127371,1133021,1137325,1142685,1144333,1145929,1148868,1150660,1151794,1151927,1152489,1152624,1154824,1157169,1158265,1158983,1159037,1159058,1159199,1160388,1160947,1161016,1162002,1162063,1163309,1163403,1163897,1164284,1164780,1164871,1165183,1165478,1165741,1166780,1166860,1166861,1166862,1166864,1166866,1166867,1166868,1166870,1166940,1166969,1166978,1166985,1167104,1167288,1167574,1167851,1167867,1168081,1168202,1168332,1168486,1168670,1168760,1168762,1168763,1168764,1168765,1168789,1168881,1168884,1168952,1168959,1169020,1169057,1169194,1169390,1169514,1169525,1169625,1169762,1169771,1169795,1170011,1170056,1170125,1170145,1170284,1170345,1170442,1170457,1170522,1170592,1170617,1170618,1170620,1170621,1170770,1170778,1170791,1170901,1171078,1171098,1171118,1171124,1171189,1171191,1171195,1171202,1171205,1171214,1171217,1171218,1171219,1171220,1171244,1171293,1171417,1171424,1171527,1171529,1171530,1171558,1171599,1171600,1171601,1171602,1171604,1171605,1171606,1171607,1171608,1171609,1171610,1171611,1171612,1171613,1171614,1171615,1171616,1171617,1171618,1171619,1171620,1171621,1171622,1171623,1171624,1171625,1171626,1171662,1171679,1171691,1171692,1171694,1171695,1171732,1171736,1171739,1171743,1171753,1171759,1171817,1171835,1171841,1171868,1171904,1171948,1171949,1171951,1171952,1171979,1171982,1171983,1171988,1172017,1172096,1172097,1172098,1172099,1172101,1172102,1172103,1172104,1172127,1172130,1172185,1172188,1172199,1172201,1172202,1172221,1172247,1172249,1172251,1172257,1172317,1172342,1172343,1172344,1172366,1172378,1172391,1172397,1172453,1172458,1172484,1172537,1172538,1172687,1172719,1172759,1172775,1172781,1172782,1172783,1172871,1172872,1172999,1173060,1173074,1173146,1173265,1173280,1173284,1173428,1173514,1173567,1173573,1173746,1173818,1173820,1173825,1173826,1173833,1173838,1173839,1173845,1173857,1174113,1174115,1174122,1174123,1174186,1174187,1174296,1174343,1174356,1174409,1174438,1174462
CVE References: CVE-2018-1000199,CVE-2019-19462,CVE-2019-20806,CVE-2019-20810,CVE-2019-20812,CVE-2019-20908,CVE-2019-9455,CVE-2020-0305,CVE-2020-0543,CVE-2020-10135,CVE-2020-10690,CVE-2020-10711,CVE-2020-10720,CVE-2020-10732,CVE-2020-10751,CVE-2020-10757,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10769,CVE-2020-10773,CVE-2020-10781,CVE-2020-11669,CVE-2020-12114,CVE-2020-12464,CVE-2020-12652,CVE-2020-12653,CVE-2020-12654,CVE-2020-12655,CVE-2020-12656,CVE-2020-12657,CVE-2020-12659,CVE-2020-12769,CVE-2020-12771,CVE-2020-12888,CVE-2020-13143,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP1 (src):    kernel-rt-4.12.14-14.28.1, kernel-rt_debug-4.12.14-14.28.1, kernel-source-rt-4.12.14-14.28.1, kernel-syms-rt-4.12.14-14.28.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 36 Alexandros Toptsoglou 2020-10-27 15:23:38 UTC
DONE